%This script loads and plots v-stepping data.
%Then, using the values I picked it plots muss vs. V  
%then it plots (a-b) and muss vs temperature, with error bars


clear all
close all
j=0;
k=0;

jj=0;
vs=[];

scale=1;
offset=0;

plotrawdata=1;
plotdata=1;
plotpicks=1;
plotaminusb=1; 


for i=[1,2,3,4,5,6,8,13,14,15,16,17,19,20]

%i=9,17,18 %for 600C and 30 MPa
%for    i=[22];
    jj=jj+1;
                                    %note that test 14 is too hard to use
testnum=[8,9,10,11,12,13,14,15,17,18,19,24,25,26,27,29,30,31,32,33,34,35];  %so test 17 has 3x longer steps
testno=testnum(i);
normalstress=[30,5,5,30,30,5,30,5,30,30,5,30,5,30,30,5,30,30,30,5,5,30];
normalst=normalstress(i);
T=[200,200,300,300,500,500,600,600,600,400,400,400,400,400,20,20,600,600,100,100,300,300];
temp=T(i);
index=[552,257,641,3827,1123,297,2495,2682,443,1955,1103,2500,114,316,1455,157,522,3864,507,592,1,1]; %first index to start data
indexx=index(i);


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
direct=strcat('temp',num2str(temp),'_n',num2str(normalst));
filename= strcat('d224_',num2str(testno),'.txt');
thefilename=strcat(direct,'/',filename);
data=load(thefilename);    
time=data(:,1);
shearst=data(:,2);
disp=data(:,3);
normst=data(:,4);
muu=shearst./normst;

if testno==31
    disp(9445:length(disp))=disp(9445:length(disp))+9.177-6.54;
    disp(9358:9542)=disp(9358);
end

if plotrawdata==1
figure(temp+normalst+11111)
subplot(3,1,1)
plot(time,disp)
subplot(3,1,2)
plot(time,shearst)
subplot(3,1,3)
plot(disp,muu)
else
end
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


muushort=muu(indexx:length(muu));
dispshort=disp(indexx:length(disp))-disp(indexx);
bb=polyfit(dispshort,muushort,1);
%Disp=linspace(0,2.5,10);
Disp=linspace(0,7,10);
trendline=bb(2)+bb(1)*Disp;

muudetrend=muushort-bb(2)-bb(1)*dispshort+trendline(length(trendline)/2);
if testno==31
    muudetrend=muushort;
end
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

if plotdata==1 

figure(temp+normalst)

subplot(2,1,1)
plot(dispshort,muushort,'k')
hold on
plot(Disp,trendline)
xlabel('Disp, mm','fontsize',15,'fontweight','b')
ylabel('Frict Coeff','fontsize',15,'fontweight','b')
set(gca,'fontsize',15,'fontweight','b')
%xlim([0,2.5])
%ylim([.7,1.1]);

subplot(2,1,2)
plot(smooth(dispshort,5),smooth(muudetrend,5),'k')
hold on
xlabel('Disp, mm','fontsize',15,'fontweight','b')
ylabel('Frict Coeff','fontsize',15,'fontweight','b')
set(gca,'fontsize',15,'fontweight','b')
%xlim([0,2.5])

%ylim([.7,1.1]);

fric=[smooth(dispshort,5),smooth(muudetrend,5)];
fname=strcat('g',num2str(temp),'_vstep_',num2str(normalst),'.txt');
fileID = fopen(fname,'w');
fprintf(fileID,'%6.4f %6.4f\n',fric);
fclose(fileID);


%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


v=[.01,.001,.01,.001,.01,.03,.01,.03,.0003,.03,.0003,.01];



     muss=[.7323,.7319,.7356,.7447,.7379,.7362,.7349,.7341,.7349,.7353,.7354,.734;%8
           .6776,.6797,.679,.6787,.6734,.6732,.6725,.6746,.6799,.6782,.6793,.6764;%9
           .7385,.7409,.7378,.7266,.739,.7416,.7373,.7397,.745,.7392,.7422,.736;%10
           .7337,.7346,.7361,.7356,.7361,.7355,.732,.733,.7357,.7354,.7367,.734;%11
           .7231,.7279,.7246,.7282,.7233,.7215,.7204,.7193,.7325,.719,.731,.7213;%12
           .8115,.8161,.8091,.8144,.8033,.801,.8066,.8101,.8244,.8088,.8171,.8004;%13
           0,0,0,0,0,0,0,0,0,0,0,0; %14
           .7157,.7231,.7184,.7205,.7163,.7135,.7174,.7076,.7279,.7108,.7206,.7005;%15
           .7589,.7695,.7604,.77,.7702,.7769,.7867,.7849,.7734,.7819,.766,.7786;%17 (this is the test with longer steps)
           0,0,0,0,0,0,0,0,0,0,0,0; %18
           0,0,0,0,0,0,0,0,0,0,0,0; %19
           0,0,0,0,0,0,0,0,0,0,0,0; %24
           .8524,.8514,.8455,.8492,.8443,.8438,.8423,.8408,.8527,.8401,.8537,.8416;%25
           .751,.7543,.7525,.7553,.7521,.7525,.7506,.7507,.7569,.7508,.7582,.7511;%26
           .7562,.7536,.7575,.7561,.7601,.762,.7605,.7606,.7527,.7606,.7567,.7619;%27
           .7563,.7549,.7584,.7525,.7547,.7545,.75,.7485,.753,.7545,.7552,.7543;%29
           .7734,.7775,.778,.7811,.7802,.7775,.7747,.7774,.7871,.7832,.7892,.7849;%30  %note: data for last four steps comes from  d224_31.txt, which ran for longer disp
            0,0,0,0,0,0,0,0,0,0,0,0; %31
           .7283,.7255,.7321,.7284,.7335,.7342,.7301,.7316,.7229,.7331,.7287,.7351;%32 beautiful data
           .7544,.7508,.7522,.7492,.7508,.75,.7475,.7486,.7458,.7512,.7529,.758;%33
           0,0,0,0,0,0,0,0,0,0,0,0]; %34
           
     mu=muss(i,:); 
      
     mupeak=[.723,.7434,.7282,.7459,.7421,.7294,.7387,.7194,.7532,.7204,.7495;
             .6585,.6939,.6626,.6848,.6841,.6606,.681,.6565,.7001,.6561,.6953;
             .7223,.7528,.7197,.7563,.7453,.7228,.7449,.7148,.7625,.7105,.7584;
             .7238,.7466,.7265,.7469,.74,.726,.7369,.7162,.7531,.719,.7516;
             .713,.7402,.7151,.74,.7299,.7139,.7255,.7037,.7562,.705,.7497;
             .7964,.8321,.7888,.8306,.8094,.79,.8187,.7813,.8528,.7754,.8379;
             0,0,0,0,0,0,0,0,0,0,0;
             .6981,.7443,.6968,.7374,.726,.6984,.7267,.6821,.7637,.6793,.7506;
             .7453,.7812,.748,.7841,.778,.7713,.7931,.7556,.8137,.7524,.8056;
             0,0,0,0,0,0,0,0,0,0,0; %18
             0,0,0,0,0,0,0,0,0,0,0; %19
             0,0,0,0,0,0,0,0,0,0,0;%24
              .8357,.8605,.8302,.8585,.8508,.8328,.8485,.8199,.8757,.8203,.8724;%25
              .7436,.7636,.7433,.7639,.7556,.7465,.7549,.7358,.7737,.7366,.7703;%26
              .7468,.7615,.7487,.7656,.7646,.7566,.7638,.7435,.7705,.7474,.7694;%27
              .7467,.7695,.7427,.7645,.7564,.7364,.7521,.7337,.77,.7395,.7681;%29
              .7585,.7939,.7649,.7961,.7853,.7659,.7827,.7596,.8184,.7594,.8137;%30 %same note as above
              0,0,0,0,0,0,0,0,0,0,0; %31
              .7189,.7344,.7234,.7377,.7369,.7288,.7343,.7143,.7414,.719,.7419; %32
              .7378,.7622,.7398,.76,.7526,.7373,.7522,.7285,.7624,.7306,.7699;%33
               0,0,0,0,0,0,0,0,0,0,0]; %34
      
     disp1=[.1925,.3848,.594,.7857,.9954,1.18,1.377,1.585,1.78,1.974,2.156;
            .2145,.3675,.5838,.7874,.9714,1.2,1.369,1.619,1.762,2.011,2.149;
            .2232,.3789,.6039,.7726,.9649,1.189,1.358,1.567,1.746,1.959,2.117;
            .2121,.3863,.5893,.7748,.974,1.177,1.369,1.563,1.747,1.955,2.133;
            .2125,.4114,.6252,.8164,1.031,1.236,1.439,1.652,1.839,2.057,2.217;
            .1942,.3715,.5788,.7575,.9629,1.167,1.339,1.569,1.713,1.958,2.11;
            0,0,0,0,0,0,0,0,0,0,0;
            .2104,.3994,.6265,.8042,.9984,1.199,1.387,1.627,1.782,2.025,2.169;
            .6342,1.175,1.817,2.359,2.958,3.54,4.125,4.782,5.317,5.941,6.437;
            0,0,0,0,0,0,0,0,0,0,0; %18
            0,0,0,0,0,0,0,0,0,0,0; %19
            0,0,0,0,0,0,0,0,0,0,0;%24
            .1277,.3314,.5271,.7161,.9053,1.106,1.286,1.509,1.666,1.887,2.067;%25
            .2182,.3721,.6054,.7796,.9742,1.153,1.341,1.59,1.74,1.989,2.159;%26
            .2359,.38,.601,.7462,.9524,1.164,1.348,1.588,1.696,1.954,2.085;%27
            .1397,.3484,.5743,.7439,.9535,1.176,1.299,1.535,1.705,1.924,2.085;%29
            .2145,.3821,.6134,.7628,.9734,1.17,1.356,.2206,.611,1.014,1.419;%30 %same note as above
            0,0,0,0,0,0,0,0,0,0,0; %31
            .2051,.3841,.5903,.7704,.9782,1.156,1.359,1.558,1.748,1.943,2.125; %32
            .2154,.3862,.5929,.7722,1.012,1.184,1.377,1.577,1.74,1.956,2.125;%33
             0,0,0,0,0,0,0,0,0,0,0]; %34
          
     disp2=[.2603,.4541,.6522,.8384,1.06,1.24,1.444,1.683,1.85,2.02,2.218;
            .2191,.3909,.6039,.7985,.9995,1.202,1.405,1.623,1.792,2.034,2.168;
            .2291,.405,.6091,.7898,.9932,1.22,1.394,1.576,1.769,1.979,2.155;
            .254,.4286,.6446,.8284,1.027,1.226,1.421,1.617,1.813,2.012,2.192;
            .2836,.4765,.7122,.882,1.092,1.287,1.476,1.742,1.929,2.121,2.3;
            .2027,.3985,.5954,.7787,.9764,1.183,1.359,1.596,1.738,1.991,2.136;
            0,0,0,0,0,0,0,0,0,0,0;
            .2339,.424,.6466,.8297,1.02,1.22,1.417,1.638,1.842,2.036,2.21;
            .8439,1.285,1.979,2.457,3.023,3.595,4.207,5.069,5.388,6.383,6.544;
            0,0,0,0,0,0,0,0,0,0,0; %18
            0,0,0,0,0,0,0,0,0,0,0; %19
            0,0,0,0,0,0,0,0,0,0,0;%24
             .1574,.3678,.5387,.7549,.9232,1.137,1.302,1.526,1.674,1.896,2.084;%25
             .2738,.3994,.688,.7913,1.015,1.199,1.389,1.665,1.798,2.058,2.185;%26
             .2568,.4151,.755,.7739,.984,1.186,1.39,1.635,1.747,1.999,2.125;%27
             .1414,.3713,.5737,.7638,.9802,1.182,1.333,1.546,1.74,1.94,2.103;%29
             .3006,.4257,.6871,.8123,1.032,1.233,1.404,.3799,.6729,1.213,1.503;%30 same note as above
            0,0,0,0,0,0,0,0,0,0,0; %31
             .2448,.4266,.6254,.8031,1.01,1.197,1.39,1.606,1.797,1.996,2.17;%32
            .2231,.4249,.6037,.7953,1.038,1.202,1.405,1.596,1.765,1.982,2.145;%33
             0,0,0,0,0,0,0,0,0,0,0]; %34
         
    %v=[.01,.001,.01,.001,.01,.03,.01,.03,.0003,.03,.0003,.01];
       
       mup=mupeak(i,:);
      
       dv=[.001/.01, .01/.001, .001/.01, .01/.001, .03/.01, .01/.03, .03/.01, .0003/.03, .03/.0003, .0003/.03, .01/.0003];
       a=(mup-mu(1:11))./log(dv);

  %------------------------------------------------------------------------

    %CALCULATE A AND DC FROM PICKED MUPEAK AND DISPLACEMENTS
       
       A(i)=mean(a);
       sigA(i)=std(a);
       
       Dc=disp2(i,:)-disp1(i,:);
       DC(i)=mean(Dc);  
       sigDC(i)=std(Dc);

  %------------------------------------------------------------------------
  
  
muss01vector=[mu(1),mu(3),mu(5),mu(7),mu(12)];
muss01ind=find(muss01vector);
muss01vector=muss01vector(muss01ind);

%CALCULATE MUSS AT V=0.01MM/S
muss01(i)=mean(muss01vector);
sigmuss01(i)=std(muss01vector);
  
goodind=find(mu);
  mu=mu(goodind);
  v=v(goodind);


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%figure(temp+normalst+1)


%plot velocity steps
v=[.01,.001,.01,.001,.01,.03,.01,.03,.0003,.03,.0003,.01];
vxplot=[0,.16,.16,.34,.34,.56,.56,.75,.75,.95,.95,1.16,1.16,1.35,1.35,1.57,1.57,1.74,1.74,1.97,1.97,2.15,2.15,2.35];
vyplot=[.01,.01,.001,.001,.01,.01,.001,.001,.01,.01,.03,.03,.01,.01,.03,.03,.0003,.0003,.03,.03,.0003,.0003,.01,.01];



%subplot(2,1,1)
%semilogy(vxplot,vyplot,'k','linewidth',2)
%xlabel('Disp, mm','fontsize',20,'fontweight','b')
%ylabel({'Driving velocity,',' mm/s'},'fontsize',20,'fontweight','b')
%set(gca,'fontsize',20,'fontweight','b')
%xlim([0,2.5])
%ylim([.7,1.1]);

%datacolor=[0,0,.9];


%subplot(2,1,2)
%plot(dispshort,muudetrend,'color',datacolor,'linewidth',2)
%hold on
%xlabel('Displacement, mm','fontsize',20,'fontweight','b')
%ylabel('Frict Coeff','fontsize',20,'fontweight','b')
%set(gca,'fontsize',15,'fontweight','b')
%xlim([0,2.5])
%ylim([.62,.68]);



%------------------------------------------------------------------------

%CALCULATE (A-B) BY FITTING A LINE
bbb=polyfit(log(v),mu,1);
amb(i)=bbb(1);
V=[.0001,.001,.01,.1];
line=bbb(2)+bbb(1)*log(V);

rss=sum((mu-bbb(2)-bbb(1)*log(v)).^2);
n=length(v);
s=rss/(n-2);
var=n*s/(n*sum(log(v).^2)-(sum(log(v)))^2);
sigamb(i)=sqrt(var);
%------------------------------------------------------------------------


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
figure(123)

if normalst==5
    datacolor=[0,1,1];
elseif normalst==30
    datacolor=[0,0,1];
end

subplot(2,3,1)
plot(temp,amb(i),'.','color',datacolor);hold on
ylabel('(a-b)')
xlim([0,650])
ylim([-.05,.02])

vs(1,jj)=temp;
vs(2,jj)=amb(i);
vs(3,jj)=sigamb(i);
vs(4,jj)=normalst;
vs(5,jj)=0;


subplot(2,3,2)
plot(temp,A(i),'.','color',datacolor);hold on
ylabel('a')
xlim([0,650])
ylim([0,.03])

vs(6,jj)=A(i);
vs(7,jj)=sigA(i);


subplot(2,3,3)
plot(temp,A(i)-amb(i),'.','color',datacolor);hold on
ylabel('b')
xlim([0,650])
ylim([0,.05])

vs(8,jj)=A(i)-amb(i);
vs(9,jj)=sigamb(i);

subplot(2,3,4)
plot(temp,muss01(i),'.','color',datacolor);hold on
ylabel('muss')
xlim([0,650])
ylim([.5,.9])

vs(12,jj)=muss01(i);
vs(13,jj)=sigmuss01(i);


subplot(2,3,5)
plot(temp,DC(i),'.','color',datacolor);hold on
ylabel('Dc')
xlim([0,650])
ylim([0,.07])

vs(10,jj)=DC(i);
vs(11,jj)=sigDC(i);

fid=fopen('vs.txt','w');  %will rename this text file vstep_granular.txt to
                          %add to plot with old solid data
fprintf(fid,'%6.4f %6.4f %6.4f %6.4f %6.4f %6.4f %6.4f %6.4f %6.4f %6.4f %6.4f %6.4f %6.4f %6.4f\n',vs');
fclose(fid);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

if plotpicks==1
    
figure(temp)
if normalst==30
    subplot(2,1,1)
    color=[0,0,.9];
elseif normalst==5
    subplot(2,1,2)
    color=[0,.8,1];
end
semilogx(v,mu,'o','markersize',5,'markerfacecolor',color,'markeredgecolor',color)
hold on
plot(V,line,'k')
%plot(0.01,muss01(i),'o','markersize',10,'markeredgecolor','r')
xlabel('Velocity, mm/s','fontsize',15,'fontweight','b')
ylabel('Steady state friction coeff','fontsize',15,'fontweight','b')
text(2e-4,muss01(i),{'(a-b) =',num2str(amb(i))},'fontsize',15,'fontweight','b')
title([num2str(temp),'^\circC, ',num2str(normalst),'MPa'],'fontsize',15,'fontweight','b')
set(gca,'fontsize',15,'fontweight','b')
%ylim([.72,1.1])

end
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%/////////////////////////////////////



figure(5)
if normalst==5
    j=j+1;
    subplot(7,2,j*2)
    color=[0,.8,1];

semilogx(v,mu,'o','markersize',5,'markerfacecolor',color,'markeredgecolor',color)
hold on
plot(V,line,'k')
%plot(0.01,muss01(i),'o','markersize',10,'markeredgecolor','r')
%xlabel('Velocity, mm/s','fontsize',15,'fontweight','b')
%ylabel('Steady state friction coeff','fontsize',15,'fontweight','b')
%text(2e-4,muss01(i),{'(a-b) =',num2str(amb(i))},'fontsize',15,'fontweight','b')
title([num2str(temp),'^\circC, ',num2str(normalst),'MPa'],'fontsize',15,'fontweight','b')
set(gca,'fontsize',15,'fontweight','b')
%ylim([.72,1.1])
xlim([1e-4,1e-1])
%ylim([.65,.77]);
%title(['(a-b) =',num2str(amb(i))],'fontsize',15,'fontweight','b')
set(gca,'xtick',([1e-4,1e-3,1e-2,1e-1]))


%ylim([.67,.71])


 %%%%%%%%%%%%%%%%%%%   
    
subplot(7,2,j*2-1)

plot(dispshort,muudetrend,'color','k','linewidth',1)
set(gca,'fontsize',15,'fontweight','b')
xlim([0,2.5])

%ylim([.65,.85])


%title([num2str(temp),'^\circC, ',num2str(normalst),'MPa'],'fontsize',15,'fontweight','b')

end

%%%%%%%%%%%%%%%%%%%%%%%

figure(30)
if normalst==30
    k=k+1;
    subplot(7,2,k*2)
    color=[0,0,.9];

semilogx(v,mu,'o','markersize',5,'markerfacecolor',color,'markeredgecolor',color)
hold on
plot(V,line,'k')
%plot(0.01,muss01(i),'o','markersize',10,'markeredgecolor','r')
%xlabel('Velocity, mm/s','fontsize',15,'fontweight','b')
%ylabel('Steady state friction coeff','fontsize',15,'fontweight','b')
%text(2e-4,muss01(i),{'(a-b) =',num2str(amb(i))},'fontsize',15,'fontweight','b')
title([num2str(temp),'^\circC, ',num2str(normalst),'MPa'],'fontsize',15,'fontweight','b')
set(gca,'fontsize',15,'fontweight','b')
%ylim([.72,1.1])
xlim([1e-4,1e-1])
%ylim([.64,.69]);

%title(['(a-b) =',num2str(amb(i))],'fontsize',15,'fontweight','b')
set(gca,'xtick',([1e-4,1e-3,1e-2,1e-1]))


subplot(7,2,k*2-1)
plot(dispshort,muudetrend,'color','k','linewidth',1)
set(gca,'fontsize',15,'fontweight','b')
xlim([0,2.5])
ylim([.7,.8])
if testno==17
    xlim([0,7])
end
%ylim([.63,.69])

%title([num2str(temp),'^\circC, ',num2str(normalst),'MPa'],'fontsize',15,'fontweight','b')

end


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%/////////////////////////////////////


end

end

plotthis=0;
if plotthis==1

figure(4)
%plot velocity steps
v=[.01,.001,.01,.001,.01,.03,.01,.03,.0003,.03,.0003,.01];
vxplot=[0,.16,.16,.34,.34,.56,.56,.75,.75,.95,.95,1.16,1.16,1.35,1.35,1.57,1.57,1.74,1.74,1.97,1.97,2.15,2.15,2.35];
vyplot=[.01,.01,.001,.001,.01,.01,.001,.001,.01,.01,.03,.03,.01,.01,.03,.03,.0003,.0003,.03,.03,.0003,.0003,.01,.01];

subplot(5,2,1)
semilogy(vxplot,vyplot,'k','linewidth',2)
%xlabel('Disp, mm','fontsize',20,'fontweight','b')
ylabel({'Driving velocity,',' mm/s'},'fontsize',15,'fontweight','b')
set(gca,'fontsize',15,'fontweight','b')
xlim([0,2.5])
%ylim([.7,1.1]);

subplot(5,2,2)
hold on
% color=[0,.8,1];
%plot(vxplot,vyplot,'o','markersize',5,'markerfacecolor',color,'markeredgecolor',color)

color=[0,0,.9];
plot(vxplot,vyplot,'o','markersize',5,'markerfacecolor',color,'markeredgecolor',color)

plot(vxplot,vyplot,'k')

legend('Steady state friction','Least squares fit','fontsize',15,'fontweight','b')
set(gca,'fontsize',15,'fontweight','b')
xlim([0,10]);
ylim([0,10])

else
end

