
% plot up velocity stepping tests for low temps and calc a-b


clear all
close all

%runs chosen for 20C: #41, 42, 43, 44, 45, 46
%runs chosen for 50 C: #75,76,77,78,79,80
%runs chosen for 100 C: #50,51,52,53,54
%runs chosen for 150 C: #24,37,47,48,49

vstep_measurements=NaN(4,13);

ii=0;

for q = [41,42,43] %20C
   
    ii=ii+1;
    INDex=[165,277,142];
    indexx=INDex(ii);
    
filename= strcat('temp_20C/raw/d213_',num2str(q),'.txt');
    dat=load(filename);
   
 t=dat(:,1);
 dt=t(10)-t(9);
 
 disp=dat(:,2);
 disp=smooth(disp,10);
 disp=disp-disp(1);
 
 hload=dat(:,3);
 hload=smooth(hload,10);
 
 vload=dat(:,4);
 vload=smooth(vload,50);
 mu=hload./vload;
  
 figure(q)
 subplot(2,1,1)
 plot(disp,mu,'k') 
 
muushort=mu(indexx:length(mu));
dispshort=disp(indexx:length(disp))-disp(indexx);
bb=polyfit(dispshort,muushort,1);
Disp=linspace(0,1.2,10);
trendline=bb(2)+bb(1)*Disp;

muudetrend=muushort-bb(2)-bb(1)*dispshort+trendline(length(trendline)/2);
 
hold on
plot(Disp,trendline,'k')

subplot(2,1,2)
plot(dispshort,muudetrend,'k')



fric=[dispshort,muudetrend];
fname=strcat('s20_vstep_5mpa_',num2str(ii),'.txt');
fileID = fopen(fname,'w');
fprintf(fileID,'%6.4f %6.4f\n',fric);
fclose(fileID);


xlim([0,1.2])
ylim([.72,.84])


muss=[.7602,.7551,.7579,.7563,.7572;
      .7448,.7403,.7423,.7395,.7437; 
      .7579,.7571,.7651,.7551,.7592];

mup=[.7451,.7685,.7491,.7665;
     .7361,.752,.7324,.7609;
     .743,.773,.752,.7701  ];

disp1=[.204,.387,.6124,.8076;
       .1475,.348,.5672,.7754;
       .1999,.4106,.6349,.8359];

disp2=[.222,.4012,.6132,.8186;
       .1485,.3507,.5759,.7846;
       .2029,.412,.6350,.8449];
     
     
v=[.01,.001,.01,.001,.01];

dv=[.001/.01,.01/.001,.001/.01,.01/.001];


a(ii,:)=(mup(ii,:)-muss(ii,1:4))./log(dv);
AA(ii)=mean(a(ii,:));


Dc(ii,:)=disp2(ii,:)-disp1(ii,:);  
DCC(ii)=mean(Dc(ii,:));

in=[1,3,5];
muss01(ii,:)=muss(in);
muSS01(ii)=mean(muss01(ii,:));
 
end

muss_allruns=cat(2,muss(1,:),muss(2,:),muss(3,:));
v_allruns=cat(2,v,v,v);


bbb=polyfit(log(v_allruns),muss_allruns,1);
amb=bbb(1);
V=[.0001,.001,.01,.1];
line=bbb(2)+bbb(1)*log(V);

rss=sum((muss_allruns-bbb(2)-bbb(1)*log(v_allruns)).^2);
n=length(v_allruns);
s=rss/(n-2);
var=n*s/(n*sum(log(v_allruns).^2)-(sum(log(v_allruns)))^2);
sigamb=sqrt(var);


%plot picks for muss and best fitting line
figure(111)
semilogx(v_allruns,muss_allruns,'.k');hold on
semilogx(V,line,'k')
xlabel('Driving velocity, mm/s')
ylabel('\mu_{ss}')
ylim([.72,.84])

A=mean(AA);
sigA=std(AA);

DC=mean(DCC);   
sigDC=std(DCC);

muo=mean(muSS01);
sigmuo=std(muSS01);

%propagate error from (a-b) and a to (a+b)
apb=2*A-amb;
siga_amb=0;
sigapb=sqrt(2^2*sigA^2+(-1)^2*sigamb^2+2*2*(-1)*siga_amb);

%propagate error from (a-b) and a to b
b=A-amb;
sigb=sqrt(1^2*sigA^2+(-1)^2*sigamb^2+2*1*(-1)*siga_amb);

vstep_measurements(1,:)=[20,amb,sigamb,apb,sigapb,A,sigA,b,sigb,DC,sigDC,muo,sigmuo];





%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

ii=0;

for q = [75,76,77,78,79,80] %50C
ii=ii+1;
    INDex=[244,168,156,129,176,168];
    indexx=INDex(ii);
    
filename= strcat('temp_50C/raw/d213_',num2str(q),'.txt');
    dat=load(filename);
    
 t=dat(:,1);
 dt=t(10)-t(9);
 
 disp=dat(:,2);
 disp=smooth(disp,10);
 disp=disp-disp(1);
 
 hload=dat(:,3);
 hload=smooth(hload,10);
 
 vload=dat(:,4);
 vload=smooth(vload,50);
 mu=hload./vload;
  
 figure(q)
 subplot(2,1,1)
 plot(disp,mu,'b') 
 
 
muushort=mu(indexx:length(mu));
dispshort=disp(indexx:length(disp))-disp(indexx);
bb=polyfit(dispshort,muushort,1);
Disp=linspace(0,1.2,10);
trendline=bb(2)+bb(1)*Disp;

muudetrend=muushort-bb(2)-bb(1)*dispshort+trendline(length(trendline)/2);
 
hold on
plot(Disp,trendline,'b')

subplot(2,1,2)
plot(dispshort,muudetrend,'b')


fric=[dispshort,muudetrend];
fname=strcat('s50_vstep_5mpa_',num2str(ii),'.txt');
fileID = fopen(fname,'w');
fprintf(fileID,'%6.4f %6.4f\n',fric);
fclose(fileID);



xlim([0,1.2])
ylim([.72,.84])

muss=[.8018,.7968,.7989,.7996,.7963;
      .8027,.8048,.8056,.8095,.8047;
      .7898,.7847,.7912,.7866,.7868;
      .7843,.7864,.7844,.7834,.7868;
      .7785,.7795,.7765,.7759,.7831; 
      .7799,.7796,.7835,.7822,.7819];

mup=[.7913,.8079,.7898,.8108;
     .7965,.8183,.7947,.8156;
     .7787,.8019,.7761,.7951;
     .7734,.8001,.7736,.7942;
     .7675,.79,.7692,.7907;
     .7705,.7958,.7742,.7962 ];

disp1=[.1548,.3268,.5231,.7199;
       .1633,.3514,.5706,.757;
       .1518,.3409,.5662,.7652;
       .1945,.3982,.6304,.8369;
       .1622,.3672,.5974,.8216;
       .1812,.3843,.6277,.8325];

disp2=[.158,.3348,.5239,.7209;
       .1648,.3651,.5745,.7708;
       .1525,.3566,.5672,.7763;
       .1967,.4124,.6314,.8401;
       .1636,.3867,.5986,.8258;
       .1874,.3989,.6304,.851 ];
     
      
v=[.01,.001,.01,.001,.01];

dv=[.001/.01,.01/.001,.001/.01,.01/.001];


a(ii,:)=(mup(ii,:)-muss(ii,1:4))./log(dv);
AA(ii)=mean(a(ii,:));


Dc(ii,:)=disp2(ii,:)-disp1(ii,:);  
DCC(ii)=mean(Dc(ii,:));

in=[1,3,5];
muss01(ii,:)=muss(in);
muSS01(ii)=mean(muss01(ii,:));
 
end

muss_allruns=cat(2,muss(1,:),muss(2,:),muss(3,:),muss(4,:),muss(5,:),muss(6,:));
v_allruns=cat(2,v,v,v,v,v,v);


bbb=polyfit(log(v_allruns),muss_allruns,1);
amb=bbb(1);
V=[.0001,.001,.01,.1];
line=bbb(2)+bbb(1)*log(V);

rss=sum((muss_allruns-bbb(2)-bbb(1)*log(v_allruns)).^2);
n=length(v_allruns);
s=rss/(n-2);
var=n*s/(n*sum(log(v_allruns).^2)-(sum(log(v_allruns)))^2);
sigamb=sqrt(var);


%plot picks for muss and best fitting line
figure(111)
semilogx(v_allruns,muss_allruns,'.b');hold on
semilogx(V,line,'b')
xlabel('Driving velocity, mm/s')
ylabel('\mu_{ss}')
ylim([.72,.84])

A=mean(AA);
sigA=std(AA);

DC=mean(DCC);   
sigDC=std(DCC);

muo=mean(muSS01);
sigmuo=std(muSS01);

%propagate error from (a-b) and a to (a+b)
apb=2*A-amb;
siga_amb=0;
sigapb=sqrt(2^2*sigA^2+(-1)^2*sigamb^2+2*2*(-1)*siga_amb);

%propagate error from (a-b) and a to b
b=A-amb;
sigb=sqrt(1^2*sigA^2+(-1)^2*sigamb^2+2*1*(-1)*siga_amb);

vstep_measurements(2,:)=[50,amb,sigamb,apb,sigapb,A,sigA,b,sigb,DC,sigDC,muo,sigmuo];







%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

ii=0;

for q = [50,51,52,53] %100C
   
ii=ii+1;
    INDex=[240,218,179,194];
    indexx=INDex(ii);
    
filename= strcat('temp_100C/raw/d213_',num2str(q),'.txt');
    dat=load(filename);
    
 t=dat(:,1);
 dt=t(10)-t(9);
 
 disp=dat(:,2);
 disp=smooth(disp,10);
 disp=disp-disp(1);
 
 hload=dat(:,3);
 hload=smooth(hload,10);
 
 vload=dat(:,4);
 vload=smooth(vload,50);
 mu=hload./vload;
  
 figure(q)
 subplot(2,1,1)
 plot(disp,mu,'g') 
 
 
muushort=mu(indexx:length(mu));
dispshort=disp(indexx:length(disp))-disp(indexx);
bb=polyfit(dispshort,muushort,1);
Disp=linspace(0,1.2,10);
trendline=bb(2)+bb(1)*Disp;

muudetrend=muushort-bb(2)-bb(1)*dispshort+trendline(length(trendline)/2);
 
hold on
plot(Disp,trendline,'g')

subplot(2,1,2)
plot(dispshort,muudetrend,'g')



fric=[dispshort,muudetrend];
fname=strcat('s100_vstep_5mpa_',num2str(ii),'.txt');
fileID = fopen(fname,'w');
fprintf(fileID,'%6.4f %6.4f\n',fric);
fclose(fileID);


xlim([0,1.2])
ylim([.72,.84])    

muss=[.7868,.784,.7814,.7842,.7828;
      .7959,.7973,.797,.7994,.7957;
      .7816,.786,.7841, .7848,.7853;
      .8035,.806,.8095,.8053,.8028];

mup=[.7779,.7949,.7754,.7904;
     .7877,.8081,.7869,.8071;
     .7731,.7931,.7729,.7919;
     .7961,.8216,.7986,.82  ];

disp1=[.1961,.4048,.6453,.8504;
       .2121,.3966,.645,.8311;
       .083,.2953,.5279,.7488;
       .1641,.3701,.6019,.8137];

disp2=[.2027,.4224,.6464,.8616;
       .2138,.4127,.6494,.8377;
       .0847,.3032,.5302,.7500;
       .1652,.3839,.6055,.8199];
     
   
v=[.01,.001,.01,.001,.01];

dv=[.001/.01,.01/.001,.001/.01,.01/.001];


a(ii,:)=(mup(ii,:)-muss(ii,1:4))./log(dv);
AA(ii)=mean(a(ii,:));


Dc(ii,:)=disp2(ii,:)-disp1(ii,:);  
DCC(ii)=mean(Dc(ii,:));

in=[1,3,5];
muss01(ii,:)=muss(in);
muSS01(ii)=mean(muss01(ii,:));
 
end

muss_allruns=cat(2,muss(1,:),muss(2,:),muss(3,:),muss(4,:));
v_allruns=cat(2,v,v,v,v);


bbb=polyfit(log(v_allruns),muss_allruns,1);
amb=bbb(1);
V=[.0001,.001,.01,.1];
line=bbb(2)+bbb(1)*log(V);

rss=sum((muss_allruns-bbb(2)-bbb(1)*log(v_allruns)).^2);
n=length(v_allruns);
s=rss/(n-2);
var=n*s/(n*sum(log(v_allruns).^2)-(sum(log(v_allruns)))^2);
sigamb=sqrt(var);


%plot picks for muss and best fitting line
figure(111)
semilogx(v_allruns,muss_allruns,'.g');hold on
semilogx(V,line,'g')
xlabel('Driving velocity, mm/s')
ylabel('\mu_{ss}')
ylim([.72,.84])

A=mean(AA);
sigA=std(AA);

DC=mean(DCC);   
sigDC=std(DCC);

muo=mean(muSS01);
sigmuo=std(muSS01);

%propagate error from (a-b) and a to (a+b)
apb=2*A-amb;
siga_amb=0;
sigapb=sqrt(2^2*sigA^2+(-1)^2*sigamb^2+2*2*(-1)*siga_amb);

%propagate error from (a-b) and a to b
b=A-amb;
sigb=sqrt(1^2*sigA^2+(-1)^2*sigamb^2+2*1*(-1)*siga_amb);

vstep_measurements(3,:)=[100,amb,sigamb,apb,sigapb,A,sigA,b,sigb,DC,sigDC,muo,sigmuo];







%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
ii=0;

for q = [37,47,48] %150C
   
ii=ii+1;
    INDex=[132,244,131];
    indexx=INDex(ii);
    
filename= strcat('temp_150C/raw/d213_',num2str(q),'.txt');
    dat=load(filename);
    
 t=dat(:,1);
 dt=t(10)-t(9);
 
 disp=dat(:,2);
 disp=smooth(disp,10);
 disp=disp-disp(1);
 
 hload=dat(:,3);
 hload=smooth(hload,10);
 
 vload=dat(:,4);
 vload=smooth(vload,50);
 mu=hload./vload;
  
 figure(q)
 subplot(2,1,1)
 plot(disp,mu,'r') 
 
 
muushort=mu(indexx:length(mu));
dispshort=disp(indexx:length(disp))-disp(indexx);
bb=polyfit(dispshort,muushort,1);
Disp=linspace(0,1.2,10);
trendline=bb(2)+bb(1)*Disp;

muudetrend=muushort-bb(2)-bb(1)*dispshort+trendline(length(trendline)/2);
 
hold on
plot(Disp,trendline,'r')

subplot(2,1,2)
plot(dispshort,muudetrend,'r')


fric=[dispshort,muudetrend];
fname=strcat('s150_vstep_5mpa_',num2str(ii),'.txt');
fileID = fopen(fname,'w');
fprintf(fileID,'%6.4f %6.4f\n',fric);
fclose(fileID);



xlim([0,1.2])
ylim([.72,.84])  

muss=[.7367,.7342,.7367,.7371,.7378;
      .7457,.7514,.7451,.7534,.7472;
      .7745, .7709,.7742,.7733,.7728];
        

mup=[.7297,.7446,.7292,.7457;
     .738,.7489,.7427,.7503;
     .7619,.7845,.763,.786];
         

disp1=[.1831,.3958,.631,.8419;
       .1743,.3835,.5753,.7665;
       .2013,.4009,.637,.838];
        

disp2=[.1863,.3998,.6356,.8479;
       .175,.4025,.574,.7731;
       .2097,.4095,.6405,.8483];
        
     
     
v=[.01,.001,.01,.001,.01];

dv=[.001/.01,.01/.001,.001/.01,.01/.001];


a(ii,:)=(mup(ii,:)-muss(ii,1:4))./log(dv);
AA(ii)=mean(a(ii,:));


Dc(ii,:)=disp2(ii,:)-disp1(ii,:);  
DCC(ii)=mean(Dc(ii,:));

in=[1,3,5];
muss01(ii,:)=muss(in);
muSS01(ii)=mean(muss01(ii,:));
 
end

muss_allruns=cat(2,muss(1,:),muss(2,:),muss(3,:));
v_allruns=cat(2,v,v,v);


bbb=polyfit(log(v_allruns),muss_allruns,1);
amb=bbb(1);
V=[.0001,.001,.01,.1];
line=bbb(2)+bbb(1)*log(V);

rss=sum((muss_allruns-bbb(2)-bbb(1)*log(v_allruns)).^2);
n=length(v_allruns);
s=rss/(n-2);
var=n*s/(n*sum(log(v_allruns).^2)-(sum(log(v_allruns)))^2);
sigamb=sqrt(var);


%plot picks for muss and best fitting line
figure(111)
semilogx(v_allruns,muss_allruns,'.r');hold on
semilogx(V,line,'r')
xlabel('Driving velocity, mm/s')
ylabel('\mu_{ss}')
ylim([.72,.84])

A=mean(AA);
sigA=std(AA);

DC=mean(DCC);   
sigDC=std(DCC);

muo=mean(muSS01);
sigmuo=std(muSS01);

%propagate error from (a-b) and a to (a+b)
apb=2*A-amb;
siga_amb=0;
sigapb=sqrt(2^2*sigA^2+(-1)^2*sigamb^2+2*2*(-1)*siga_amb);

%propagate error from (a-b) and a to b
b=A-amb;
sigb=sqrt(1^2*sigA^2+(-1)^2*sigamb^2+2*1*(-1)*siga_amb);

vstep_measurements(4,:)=[150,amb,sigamb,apb,sigapb,A,sigA,b,sigb,DC,sigDC,muo,sigmuo];



figure(2000)
subplot(3,3,1)
errorbar(vstep_measurements(:,1),vstep_measurements(:,2),vstep_measurements(:,3),'.r')
hold on
T=0:650;
plot(T,zeros(length(T)),'--k')
xlim([0,650])
ylim([-.05,.005]);
ylabel('(a-b)')

subplot(3,3,2)
errorbar(vstep_measurements(:,1),vstep_measurements(:,6),vstep_measurements(:,7),'.r')
hold on
ylabel('a')
xlim([0,650])

subplot(3,3,3)
errorbar(vstep_measurements(:,1),vstep_measurements(:,8),vstep_measurements(:,9),'.r')
hold on
ylabel('b')
xlim([0,650])

subplot(3,3,4)
errorbar(vstep_measurements(:,1),vstep_measurements(:,12),vstep_measurements(:,13),'.r')
hold on
ylabel('\mu_ss')
xlim([0,650])

subplot(3,3,5)
errorbar(vstep_measurements(:,1),vstep_measurements(:,10),vstep_measurements(:,11),'.r')
hold on
ylabel('D_c')
xlim([0,650])

filename=strcat('vstep_measurements','.txt');    
fileID = fopen(filename,'w');
fprintf(fileID,'%6.4f %6.4f %6.4f %6.4f\n',vstep_measurements);
fclose(fileID);



















